spring.jpa.properties.hibernate.cache.use_second_level_cache=true
spring.jpa.properties.hibernate.cache.region.factory_class=org.hibernate.cache.ehcache.EhCacheRegionFactory
#spring.jpa.properties.javax.persistence.sharedCacheMode=ENABLE_SELECTIVE
#spring.jpa.properties.javax.persistence.sharedCache.mode=ALL


spring.datasource.url=jdbc:mysql://209.97.163.4:3306/DRSNEW?useUnicode=yes&characterEncoding=UTF-8&autoReconnect=true&characterSetResults=utf8
spring.datasource.username=root
spring.datasource.password=#vamo123
spring.jpa.hibernate.ddl-auto=update

spring.datasource.hikari.connection-timeout = 20000 
spring.datasource.hikari.minimum-idle= 10 
spring.datasource.hikari.maximum-pool-size= 45
spring.datasource.hikari.idle-timeout=10000 
spring.datasource.hikari.max-lifetime= 1000
spring.datasource.hikari.auto-commit =true
spring.datasource.leakDetectionThreshold=20000


logging.level.com.zaxxer.hikari=debug
spring.jpa.open-in-view=false

spring.jpa.hibernate.naming_strategy=org.hibernate.cfg.EJB3NamingStrategy
spring.jpa.properties.hibernate.show_sql=false
spring.jpa.properties.hibernate.use_sql_comments=true
spring.jpa.properties.hibernate.format_sql=true
spring.jpa.properties.hibernate.type=trace
spring.jpa.show-sql=true
spring.jpa.hibernate.naming.implicit-strategy=org.hibernate.boot.model.naming.ImplicitNamingStrategyLegacyJpaImpl
spring.jpa.hibernate.naming.physical-strategy=org.hibernate.boot.model.naming.PhysicalNamingStrategyStandardImpl

spring.jpa.hibernate.cache.provider_class= org.hibernate.cache.EhCacheProvider  
spring.h2.console.enabled=true   

logging.level.org.hibernate.SQL=DEBUG
logging.level.org.hibernate.type=TRACE 




logging.level.root=warn
logging.level.com.lankydan.service=debug
logging.path=logs
logging.file=${logging.path}/log.log
logging.pattern.file=%d{dd-MM-yyyy HH:mm:ss.SSS} [%thread] %-5level %logger{36}.%M - %msg%n
logging.pattern.console=%d{dd-MM-yyyy HH:mm:ss.SSS} %magenta([%thread]) %highlight(%-5level) %logger.%M - %msg%n

management.endpoints.web.exposure.include=*
spring.devtools.livereload.enabled=false

jwt.secret=vamosysdrs

spring.servlet.multipart.max-file-size=30MB
spring.servlet.multipart.max-request-size=30MB

#spring.devtools.restart.additional-paths = Files
#spring.devtools.restart.exclude = static/**

spring.mail.host = smtp.gmail.com
spring.mail.username = thirumaniraj.vamosys@gmail.com
spring.mail.password = rajsss
spring.mail.port: 587
spring.mail.properties.mail.smtp.starttls.enable=true
spring.mail.properties.mail.smtp.ssl.trust=smtp.gmail.com
spring.mail.properties.mail.smtp.auth=true

redis.host = 139.59.87.116
redis.port = 6379
redis.password = ahanram@vamosystems.in

server.port = 9910

